import 'package:flutter/services.dart';
import 'package:flutter_test/flutter_test.dart';
import 'package:blotoutfluttersdk/blotoutfluttersdk.dart';

void main() {
  const MethodChannel channel = MethodChannel('blotoutfluttersdk');

  TestWidgetsFlutterBinding.ensureInitialized();

  setUp(() {
    channel.setMockMethodCallHandler((MethodCall methodCall) async {
      return 'true';
    });
  });

  tearDown(() {
    channel.setMockMethodCallHandler(null);
  });

  test('isAppCompromised', () async {
    expect(
        await BlotoutAnalyticsAPI.blotoutAnalyticsInstance.isAppCompromised(),
        'true');
  });
}
